import * as $dara from '@darabonba/typescript';
import { DescribeBgpPeersResponseBody } from "./DescribeBgpPeersResponseBody";
export declare class DescribeBgpPeersResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeBgpPeersResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
